CVE-2002-0849
CVSS4.6
发布时间 :2002-08-12 00:00:00
修订时间 :2016-10-17 22:22:37
NMCOS    

[原文]Linux-iSCSI iSCSI implementation installs the iscsi.conf file with world-readable permissions on some operating systems, including Red Hat Linux Limbo Beta #1, which could allow local users to gain privileges by reading the cleartext CHAP password.


[CNNVD]iSCSI不安全配置文件权限本地信息泄露漏洞(CNNVD-200208-021)

        
        iSCSI是一款新的协议允许SCSI协议在传统的IP网络上通信。iSCSI主要的验证机制使用CHAP协议。
        iSCSI的Linux实现存在配置问题,本地攻击者可以利用这个漏洞获得验证密码等敏感信息。
        iSCSI的Linux实现中的配置信息保存在/etc/iscsi.conf中,这个文件默认情况下以全局可读和可能全局可写的属性进行安装,任意本地用户可以通过查看这个配置文件获得CHAP验证密码等敏感信息。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0849
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0849
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-021
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=102882056105806&w=2
(UNKNOWN)  BUGTRAQ  20020808 iDEFENSE Security Advisory: iSCSI Default Configuration File Settings
http://marc.info/?l=bugtraq&m=102891036424424&w=2
(UNKNOWN)  BUGTRAQ  20020808 Re: [VulnWatch] iDEFENSE Security Advisory: iSCSI Default Configuration File Settings
http://www.iss.net/security_center/static/9792.php
(UNKNOWN)  XF  linux-iscsi-conf-insecure(9792)
http://www.securityfocus.com/bid/5423
(UNKNOWN)  BID  5423

- 漏洞信息

iSCSI不安全配置文件权限本地信息泄露漏洞
中危 配置错误
2002-08-12 00:00:00 2005-10-20 00:00:00
本地  
        
        iSCSI是一款新的协议允许SCSI协议在传统的IP网络上通信。iSCSI主要的验证机制使用CHAP协议。
        iSCSI的Linux实现存在配置问题,本地攻击者可以利用这个漏洞获得验证密码等敏感信息。
        iSCSI的Linux实现中的配置信息保存在/etc/iscsi.conf中,这个文件默认情况下以全局可读和可能全局可写的属性进行安装,任意本地用户可以通过查看这个配置文件获得CHAP验证密码等敏感信息。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 管理员可以通过手工正确的设置'iscsi.conf'文件读和写访问权限,一般是0600。
        厂商补丁:
        Cisco
        -----
        通过Cisco站点或者SourceForge下载的Linux-iscsi驱动的安装脚本不存在此漏洞。但是部分Linux版本以不安全的权限进行安装。

- 漏洞信息

59565
Linux-iSCSI iscsi.conf Cleartext CHAP Password Disclosure
Local Access Required Cryptographic, Information Disclosure
Loss of Confidentiality
Exploit Public

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-08-08 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

iSCSI Insecure Configuration File Permissions Information Disclosure Vulnerability
Configuration Error 5423
No Yes
2002-08-08 12:00:00 2009-07-11 02:56:00
Discovery credited to Kurt Seifried <kurt@seifried.org>.

- 受影响的程序版本

Cisco iSCSI Linux 2.1.2 .1
+ S.u.S.E. Linux 8.0

- 漏洞讨论

iSCSI leaves administrative credentials stored in a world-readable configuration file.

The configuration file that iSCSI uses is stored in /etc/iscsi.conf. Reportedly, this file is installed, by default, with world readable and possibly world writeable permissions enabled. This may have some potentially serious consequences as the configuration file also stores password information in plain text.

- 漏洞利用

There is no exploit code required.

- 解决方案

It should be noted that the installation scripts for the linux-iscsi drivers available on the Cisco site or available through SourceForge are not prone to this issue. However, some Linux distributions may package installation scripts which set insecure default permissions.

This issue may be mitigated by ensuring that the 'iscsi.conf' file is writeable and readable only by administrative users.

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站